import { Reducer } from 'redux';
import { ReduxStateProvider } from './redux-state.provider';
import { ReduxRootState } from '../interfaces/redux-root-state.interface';
import { ReduxActionWithPayload } from '../interfaces/redux-action-with-payload.interface';
export declare class ReduxReducerProvider {
    private stateProviders;
    readonly rootReducer: Reducer<ReduxRootState>;
    addStateProvider(provider: ReduxStateProvider): void;
    reduce(rootState: ReduxRootState, action: ReduxActionWithPayload<any>): ReduxRootState;
}
