import 'rxjs/add/operator/toPromise';
import { Store } from 'redux';
import { ReduxStateProvider } from './redux-state.provider';
export interface IRegisterStatePayload {
    initialValue: {};
    name: string;
}
export declare class ReduxRegistry {
    static readonly ACTION_REGISTER_STATE: string;
    private static _store;
    constructor(store?: Store<{}>);
    static reset(): void;
    static registerStore(store: Store<{}>): void;
    static registerState(state: ReduxStateProvider): void;
    static getStore(): Promise<Store<{}>>;
}
